# Endpoint

The player profile endpoint provides player information such as the name, nationality, gender, height, weight, DOB, etc in the requested language.

*A player here is a player in a team. (A tennis player is a competitor)*

**Endpoint Parameters**

| Parameter                                                | Description                    | Possible Values                                                                                          |
| -------------------------------------------------------- | ------------------------------ | -------------------------------------------------------------------------------------------------------- |
| <p><em>language</em></p><p><strong>Required</strong></p> | Language code for translation. | See all supported languages and their codes on [language support](/uof/introduction/language-support.md) |
| <p><em>id</em></p><p><strong>Required</strong></p>       | The ID of the player           | Example: 852078                                                                                          |

## Player profile

> Name and details about a player. \<a href='<https://sportradar-unifiedfeed.s3.eu-central-1.amazonaws.com/xsd/endpoints/unified/player\\_profile.xsd>' target='\_blank'>xml schema\</a>

```json
{"openapi":"3.0.3","info":{"title":"Betradar API","version":"1.0.0"},"servers":[{"url":"https://global.api.betradar.com/v1"}],"security":[{"key":[]}],"components":{"securitySchemes":{"key":{"type":"apiKey","in":"header","name":"x-access-token"}}},"paths":{"/sports/{language}/players/sr:player:{id}/profile.xml":{"get":{"summary":"Player profile","description":"Name and details about a player. <a href='https://sportradar-unifiedfeed.s3.eu-central-1.amazonaws.com/xsd/endpoints/unified/player_profile.xsd' target='_blank'>xml schema</a>","operationId":"playerProfile","tags":["Entity descriptions"],"parameters":[{"name":"language","description":"Language code for translation.","in":"path","required":true,"schema":{"type":"string"},"default":"en"},{"name":"id","description":"The ID for the player.","in":"path","required":true,"schema":{"type":"integer"},"default":947}],"responses":{"200":{"description":"successful operation","content":{"application/xml":{}}},"401":{"description":"Unauthorized","content":{"application/json":{}}},"403":{"description":"Access denied","content":{"application/json":{}}},"500":{"description":"Internal server error","content":{"application/json":{}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/uof/api-and-structure/api/entity-descriptions/player-profile-endpoint/endpoint.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
